<% if notice.present? %>
  <div class="alert alert-success" role="alert">
    <%= notice %>
  </div>
<% end %>

<h1>จัดการหวย</h1>

<%= button_to 'ออกจากระบบ', destroy_user_session_path, method: :delete, class: 'btn btn-secondary' %>

<div class="pull-right">
  <%= link_to "ออกหวย", new_post_path, class: 'btn btn-primary' %>
</div>

<div id="posts">
    <%#= render post %>
    <table class="table">
      <thead>
        <tr>
          <th scope="col">วันที่</th>
          <th scope="col">สามตัว</th>
          <th scope="col">บน</th>
          <th scope="col">ล่าง</th>
          <th scope="col">สถานะ</th>
        </tr>
      </thead>
      <tbody>
        <% @posts.each do |post| %>
          <tr class=<%= "big-border" if post.status == 4%>>
            <th scope="row"><%= post.created_at.to_date.strftime('%d/%m/%y')%></th>
            <td><%=post.three + post.top%></td>
            <td><%=post.top%></td>
            <td><%=post.bottom%></td>
            <% if post.status == 1 %>
              <td>เปิดเช้า</td>
            <% elsif post.status == 2 %>
              <td>ปิดเที่ยง</td>
            <% elsif post.status == 3 %>
              <td>เปิดบ่าย</td>
            <% elsif post.status == 4 %>
              <td>ปิดเย็น</td>
            <% end %>
            <td class="manage">
              <%= link_to "แก้ไข", edit_post_path(post), class: 'btn btn-success' %>
              <%= button_to "ลบ", post, method: :delete, class: 'btn btn-danger' %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>
</div>


